LINUX.ORG.RU

Nginx + apache2 как правильно настроить?

 ,


0

3

Здравствуйте дорогие пользователи форума. У меня такая проблема, установил apache2 и nginx и сделал связку на Ubuntu 16.04. Для nginx поставил порт 80 а для апача 8080. Сайт все быстро открывает но очень часто выдает такую ошибку и когда браузер перезагружаю и сразу потом снова открывает. Но еще раз повторю очень много выходить такая ошибка

Forbidden You don't have permission to access / on this server. Apache/2.4.6 (Ubuntu) Server at site.ru Port 8080

Помогите пожалуйста как исправить это проблему? Заранее спасибо всем!

Ответ на: комментарий от sysmerge_

логи

2019/05/17 22:42:31 [alert] 10733#10733: *1413 open socket #102 left in connection 84 2019/05/17 22:42:31 [alert] 10733#10733: *1421 open socket #103 left in connection 87 2019/05/17 22:42:31 [alert] 10733#10733: *5752 open socket #171 left in connection 91 2019/05/17 22:42:31 [alert] 10733#10733: *6296 open socket #364 left in connection 100 2019/05/17 22:42:31 [alert] 10733#10733: *8422 open socket #109 left in connection 101 2019/05/17 22:42:31 [alert] 10733#10733: *6390 open socket #404 left in connection 102 2019/05/17 22:42:31 [alert] 10733#10733: *4736 open socket #42 left in connection 103 2019/05/17 22:42:31 [alert] 10733#10733: *7413 open socket #251 left in connection 105 2019/05/17 22:42:31 [alert] 10733#10733: *8907 open socket #161 left in connection 108 2019/05/17 22:42:31 [alert] 10733#10733: *7380 open socket #150 left in connection 111 2019/05/17 22:42:31 [alert] 10733#10733: *8808 open socket #245 left in connection 114 2019/05/17 22:42:31 [alert] 10733#10733: *8693 open socket #33 left in connection 117 2019/05/17 22:42:31 [alert] 10733#10733: aborting

eLemenT_X ()
Ответ на: комментарий от sysmerge_

логи от апач

[Sat May 18 06:25:23.565752 2019] [:error] [pid 20513] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:23.677893 2019] [:error] [pid 20514] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:23.909446 2019] [:error] [pid 20518] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:24.594534 2019] [:error] [pid 20510] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:24.616963 2019] [:error] [pid 20511] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:25.375374 2019] [:error] [pid 20512] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:26.027952 2019] [:error] [pid 20514] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:26.027950 2019] [:error] [pid 20513] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:26.466538 2019] [:error] [pid 20518] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:26.944762 2019] [:error] [pid 20537] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:28.561082 2019] [:error] [pid 20512] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:30.027720 2019] [:error] [pid 20510] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:30.515858 2019] [:error] [pid 20513] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:31.061549 2019] [:error] [pid 20518] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:32.059253 2019] [:error] [pid 20511] ModSecurity: ModSecurity requires mod_unique_id to be installed. [Sat May 18 06:25:32.169075 2019] [:error] [pid 20514] ModSecurity: ModSecurity requires mod_unique_id to be installed.

eLemenT_X ()

у тебя сколько стоит и сколько соединений в сайту происходит?

worker_connections
keepalive_timeout 

выглядит так будто у тебя не вывозит сервер большое число соединений

sanekmihailow ()